diff --git a/gas/config/tc-aarch64.c b/gas/config/tc-aarch64.c
index 57a2b4e997ce235536b9ff9819b28b466e9ad669..60876c1a771edb1ce2b7bb3554adc467e106e9bf 100644
--- a/gas/config/tc-aarch64.c
+++ b/gas/config/tc-aarch64.c
@@ -8977,6 +8977,9 @@ static const struct aarch64_cpu_option_table aarch64_cpus[] = {
   {"xgene2", AARCH64_FEATURE (AARCH64_ARCH_V8,
 			      AARCH64_FEATURE_CRC), "APM X-Gene 2"},
   {"cortex-r82", AARCH64_ARCH_V8_R, "Cortex-R82"},
+  {"cortex-x1", AARCH64_FEATURE (AARCH64_ARCH_V8_2,
+                AARCH64_FEATURE_DOTPROD | AARCH64_FEATURE_PROFILE),
+  "Cortex-X1"},
   {"generic", AARCH64_ARCH_V8, NULL},
 
   {NULL, AARCH64_ARCH_NONE, NULL}
diff --git a/gas/doc/c-aarch64.texi b/gas/doc/c-aarch64.texi
index d8f2e19326fc127a66eb11a3176e6f80573f3dd2..490e52ac6bde99ee6f4d931fcc6bcef4a2011549 100644
--- a/gas/doc/c-aarch64.texi
+++ b/gas/doc/c-aarch64.texi
@@ -79,8 +79,9 @@ on the target processor.  The following processor names are recognized:
 @code{vulcan},
 @code{xgene1}
 @code{xgene2},
+@code{cortex-r82},
 and
-@code{cortex-r82}.
+@code{cortex-x1}.
 The special name @code{all} may be used to allow the assembler to accept
 instructions valid for any supported processor, including all optional
 extensions.
